Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm
Class ALNodeProperties

    java.lang.Object
      org.jasig.portal.layout.alm.ALNodeProperties

    public class ALNodeProperties

extends java.lang.Object

A proxy class representing additional properties of the Aggregated Layout nodes. Thanks to the java's inability to support multiple inheritance, we can make a mess out of an elegant class structure. Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  1.0 $Revision: 1.1 $ $Date: 2005/05/03 20:40:47 $
Author:
  Peter Kharchenko

Field Summary
`protected java.lang.String` | `fragmentId`
`protected java.lang.String` | `fragmentNodeId`
`protected java.lang.String` | `group`
`protected java.util.Hashtable` | `restrictions`

Constructor Summary
`ALNodeProperties()`
`ALNodeProperties(IALNodeProperties p)`

Method Summary
`void` | `addRestriction(IUserLayoutRestriction restriction)` Adds the restriction for this node.
`protected void` | `addRestrictionChildren(org.w3c.dom.Element node, org.w3c.dom.Document root)`
`java.lang.String` | `getFragmentId()` Get fragment id
`java.lang.String` | `getFragmentNodeId()` Get fragment node id
`java.lang.String` | `getGroup()` Gets the priority value for this node.
`IUserLayoutRestriction` | `getRestriction(java.lang.String restrictionName)` Gets a restriction by the type.
`java.util.Hashtable` | `getRestrictions()` Gets the hashtable of restrictions bound to this node
`java.util.Vector` | `getRestrictionsByPath(java.lang.String restrictionPath)` Gets a restrictions list by a restriction path.
`void` | `setFragmentId(java.lang.String fragmentId)` Set fragment id
`void` | `setFragmentNodeId(java.lang.String fragmentNodeId)` Set fragment node id
`void` | `setGroup(java.lang.String group)` Sets the group identificator for this node.
`void` | `setRestrictions(java.util.Hashtable restrictions)` Sets the hashtable of restrictions bound to this node

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fragmentId

    protected java.lang.String fragmentId

### fragmentNodeId

    protected java.lang.String fragmentNodeId

### restrictions

    protected java.util.Hashtable restrictions

### group

    protected java.lang.String group

Constructor Detail

### ALNodeProperties

    public ALNodeProperties()

### ALNodeProperties

    public ALNodeProperties(IALNodeProperties p)

Method Detail

### setFragmentId

    public void setFragmentId(java.lang.String fragmentId)

  Set fragment id

  Parameters:
    `fragmentId` - a `String` value

### getFragmentId

    public java.lang.String getFragmentId()

  Get fragment id

  Returns:
    a `String` value

### setFragmentNodeId

    public void setFragmentNodeId(java.lang.String fragmentNodeId)

  Set fragment node id

  Parameters:
    `fragmentNodeId` - a `String` value

### getFragmentNodeId

    public java.lang.String getFragmentNodeId()

  Get fragment node id

  Returns:
    a `String` value

### setGroup

    public void setGroup(java.lang.String group)

  Sets the group identificator for this node.

  Parameters:
    `group` - a `String` group identificator value

### getGroup

    public java.lang.String getGroup()

  Gets the priority value for this node.

### setRestrictions

    public void setRestrictions(java.util.Hashtable restrictions)

  Sets the hashtable of restrictions bound to this node

  Parameters:
    `restrictions` - a `Hashtable` of restriction expressions

### getRestrictions

    public java.util.Hashtable getRestrictions()

  Gets the hashtable of restrictions bound to this node

  Returns:
    a set of restriction expressions

### addRestriction

    public void addRestriction(IUserLayoutRestriction restriction)

  Adds the restriction for this node.

  Parameters:
    `restriction` - a `IUserLayoutRestriction` a restriction

### getRestriction

    public IUserLayoutRestriction getRestriction(java.lang.String restrictionName)

  Gets a restriction by the type.

  Parameters:
    `restrictionName` - a `String` name of the restriction
  Returns:
    a IUserLayoutRestriction

### getRestrictionsByPath

    public java.util.Vector getRestrictionsByPath(java.lang.String restrictionPath)

  Gets a restrictions list by a restriction path.

  Parameters:
    `restrictionPath` - a `String` restriction path
  Returns:
    a IUserLayoutRestriction

### addRestrictionChildren

    protected void addRestrictionChildren(org.w3c.dom.Element node,
                                          org.w3c.dom.Document root)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD